WordPress プラグイン

SyntaxHighlighter Evolved が動かない

更新日:

プラグインのSyntaxHighlighter Evolvedを入れてみました。

むむ?ソースをきちんと[言語名]ソース内容[/言語名]で指定してるのに、表示すると、真っ白け。。

調べてみると、原因は footer.php にありました。

[php]


[/php]

このプラグインは、この関数(wp_footer)を利用して、 <script> 記述を吐き出してるようです。
なので </body> タグの直前に、これを書いておかないと、機能しない作りになっています。
※直前でなくても <body> 内であれば良い。

ちなみに、header.php にも同じような関数が用意されています。

[php]


[/php]

</head> の直前に、書いておく。
※直前でなくても <head> 内であれば良い。

これも、プラグインで使われているケースが多いので、この機会に書いておくと良いかと。

ていうか、ここにちゃんと書いてありますね。。。

-WordPress, プラグイン
-, , ,

Copyright© BoozyWoozy , 2018 All Rights Reserved Powered by STINGER.